Main Page Widgets Namespaces Book

# Gtk::Settings Class Reference

Inheritance diagram for Gtk::Settings:

[legend]
List of all members.

## Public Methods

virtual | ~Settings ()
GtkSettings* | gobj ()
const GtkSettings* | gobj () const
GtkSettings* | gobj_copy ()
Glib::PropertyProxy<int> | property_gtk_double_click_time ()
Glib::PropertyProxy<bool> | property_gtk_cursor_blink ()
Glib::PropertyProxy<int> | property_gtk_cursor_blink_time ()
Glib::PropertyProxy<bool> | property_gtk_split_cursor ()
Glib::PropertyProxy<Glib::ustring> | property_gtk_theme_name ()
Glib::PropertyProxy<Glib::ustring> | property_gtk_key_theme_name ()
Glib::PropertyProxy<Glib::ustring> | property_gtk_menu_bar_accel ()
Glib::PropertyProxy<ToolbarStyle> | property_gtk_toolbar_style ()
Glib::PropertyProxy<IconSize> | property_gtk_toolbar_icon_size ()
Glib::PropertyProxy<bool> | property_gtk_can_change_accels ()
Glib::PropertyProxy<bool> | property_gtk_entry_select_on_focus ()
Glib::PropertyProxy<Glib::ustring> | property_gtk_color_palette ()

## Static Public Methods

Glib::RefPtr<Settings> | get_default ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::Settings> | wrap (GtkSettings* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Settings::~Settings | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) | `[static]`

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_can_change_accels | ( |  | ) |

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_color_palette | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_cursor_blink | ( |  | ) |

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) |

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_double_click_time | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) |

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_key_theme_name | ( |  | ) |

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_split_cursor | ( |  | ) |

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_theme_name | ( |  | ) |

Glib::PropertyProxy<IconSize> Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) |

Glib::PropertyProxy<ToolbarStyle> Gtk::Settings::property_gtk_toolbar_style | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::Settings> wrap | ( | GtkSettings* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- settings.h